--script for http://yamgo.com/ (21/05/2015)
--[[


if m_simpleTV.Control.ChangeAdress ~= 'No' then return end

local inAdr =  m_simpleTV.Control.CurrentAdress

if inAdr==nil then return end

if  not string.match( inAdr, '^http://yamgo%.com/' )   then return end

m_simpleTV.Control.ChangeAdress='Yes'
m_simpleTV.Control.CurrentAdress = ''

-----------------------------------------------

 local session = m_simpleTV.WinInet.New("Opera/9.80 (Windows NT 6.1; U; ru) Presto/2.9.168 Version/11.52")
 if session == nil then return end

  --INTERNET_OPTION_CONNECT_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,2,5000,0)
  --INTERNET_OPTION_RECEIVE_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,6,8000,0)
-------------------------------------------

 local rc,answer=m_simpleTV.WinInet.Get(session, inAdr)
 m_simpleTV.WinInet.Close(session)
 
   if rc~=200 then
  	   m_simpleTV.WinInet.Close(session)
  	   m_simpleTV.OSD.ShowMessage("Connection error - " .. rc ,255,10)
  	   return
   end

--debug_in_file(answer .. '\n')


  local retAdr = findpattern(answer,'channel_stream_url":"(.-)"',1,21,1)
  if retAdr == nil then
     	   m_simpleTV.OSD.ShowMessage("Yamgo error - can't find stream",255,10)
       return
  end

  retAdr = retAdr:gsub('\\','')

m_simpleTV.Control.CurrentAdress = retAdr
]]